Tryton - Issues

 

Issue9426

Title Products can't be copied under some circumstances in Version 5.0
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, udono
Type crash Components purchase
Assigned To udono Keywords review
Reviews 319631002
View: 319631002

Created on 2020-06-17.23:54:31 by udono, last changed by ced.

Messages
msg59419 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2020-07-21.15:15:37
r 22331142c662
msg59262 (view) Author: [hidden] (udono) (Tryton translator) Date: 2020-07-10.19:09:19
can be closed?
review319631002 updated at https://codereview.tryton.org/319631002/#ps317691002
msg58776 (view) Author: [hidden] (udono) (Tryton translator) Date: 2020-06-17.23:54:30
Products can't be copied under some circumstances, when there is a supplier involved.
The problem appears when template and product have different next ids, because of variants.

It is a typo introduced by a backport including new technology which can't be handled:

    https://hg.tryton.org/modules/purchase/rev/c43a5ec13cf7
    https://codereview.tryton.org/315221002/patch/311421002/309521002
History
Date User Action Args
2020-07-21 15:15:37cedsetstatus: testing -> resolved
nosy: + ced
messages: + msg59419
2020-07-10 19:09:19udonosetmessages: + msg59262
2020-06-18 00:07:42reviewbotsetnosy: + reviewbot
messages: + msg58777
2020-06-17 23:55:23udonosetassignedto: udono
2020-06-17 23:54:31udonocreate

Showing 10 items. Show all history (warning: this could be VERY long)